Overview

Basic information about the system.

GET /api/content/

User

Document

Gets the document containing all fields and additional system information

GET /api/content/docs/{documentReference}

Creates a document

POST /api/content/docs

Updates an existing document

PUT /api/content/docs/{documentReference}

Updates an existing document

PATCH /api/content/docs/{documentReference}

Gets an attachment as a stream

GET /api/content/docs/{documentReference}/attachments/{id}

Store

List of all stores

GET /api/content/stores

Information about the store

GET /api/content/stores/{storeid}

Lists documents to a store (filter)

GET /api/content/stores/{storeid}/docs

 FileUpload

 Search

Lists documents to a store (filter)

GET /api/content/stores/{storeid}/docs

Search in store(s)

POST /api/content/search

Schema

Lists all schemas

GET /api/content/schemas

Information about a specific schema

GET /api/content/schemas/{schemaName}